using Plane.Communication;
using Plane.Copters;

namespace Plane.CopterManagement
{
    public partial class CopterFactory : ICopterFactory
    {
        public ICopter CreateBluetoothCopter(string hostName, string name = "GHOSTDRONE")
        {
            var connection = new BluetoothConnection(hostName);
            var copter = new PLCopter(connection, _uiSyncContext)
            {
                Id = "Bluetooth_" + hostName,
                Name = name
            };
            return copter;
        }
    }
}
